Rebuild fails during upgrade due to `discourse-github` plugin

Hi

I am trying to upgrade Discourse from the command-line but the Rebuild is failing. I brought my site back up with launcher start app and now I need to debug the problem.

I have just added a couple of plugins to my app.yml (discourse-solved and discourse-github), so those could be the cause of the problem… but they are standard, so…

This seems to be the relevant error:

I, [2020-02-04T11:59:19.741293 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate'
rake aborted!
Gem::MissingSpecError: Could not find 'addressable' (>= 2.3.5) among 254 total gem(s)
Checked in 'GEM_PATH=/var/www/discourse/vendor/bundle/ruby/2.6.0', execute `gem env` for more information
/var/www/discourse/lib/plugin_gem.rb:20:in `load'
/var/www/discourse/lib/plugin/instance.rb:570:in `gem'
/var/www/discourse/plugins/discourse-github/plugin.rb:9:in `activate!'
/var/www/discourse/lib/plugin/instance.rb:496:in `instance_eval'
/var/www/discourse/lib/plugin/instance.rb:496:in `activate!'
lib/discourse.rb:172:in `block in activate_plugins!'
lib/discourse.rb:169:in `each'
lib/discourse.rb:169:in `activate_plugins!'
/var/www/discourse/config/application.rb:261:in `<class:Application>'
/var/www/discourse/config/application.rb:58:in `<module:Discourse>'
/var/www/discourse/config/application.rb:57:in `<top (required)>'
/var/www/discourse/Rakefile:7:in `require'
/var/www/discourse/Rakefile:7:in `<top (required)>'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rake-12.3.2/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `<main>'
(See full trace by running task with --trace)
My full rebuild log, except the "git pull" part
root@discourse:/docker-app/discourse# ./launcher rebuild app
Ensuring launcher is up to date
Fetching origin
Launcher is up-to-date
Stopping old container
+ /usr/bin/docker stop -t 10 app
app
cd /pups && git pull && /pups/bin/pups --stdin
Already up to date.
I, [2020-02-04T11:56:09.204750 #1]  INFO -- : Loading --stdin
I, [2020-02-04T11:56:09.211557 #1]  INFO -- : > locale-gen $LANG && update-locale
I, [2020-02-04T11:56:09.250932 #1]  INFO -- : Generating locales (this might take a while)...
Generation complete.

I, [2020-02-04T11:56:09.251275 #1]  INFO -- : > mkdir -p /shared/postgres_run
I, [2020-02-04T11:56:09.257720 #1]  INFO -- :
I, [2020-02-04T11:56:09.258997 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2020-02-04T11:56:09.262817 #1]  INFO -- :
I, [2020-02-04T11:56:09.263417 #1]  INFO -- : > chmod 775 /shared/postgres_run
I, [2020-02-04T11:56:09.266405 #1]  INFO -- :
I, [2020-02-04T11:56:09.266883 #1]  INFO -- : > rm -fr /var/run/postgresql
I, [2020-02-04T11:56:09.269595 #1]  INFO -- :
I, [2020-02-04T11:56:09.270088 #1]  INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2020-02-04T11:56:09.272944 #1]  INFO -- :
I, [2020-02-04T11:56:09.273461 #1]  INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2020/02/04 11:56:09 socat[26] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2020-02-04T11:56:09.284561 #1]  INFO -- :
I, [2020-02-04T11:56:09.285078 #1]  INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2020-02-04T11:56:09.289363 #1]  INFO -- :
I, [2020-02-04T11:56:09.289783 #1]  INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2020-02-04T11:56:09.293578 #1]  INFO -- :
I, [2020-02-04T11:56:09.294025 #1]  INFO -- : > mkdir -p /shared/postgres_run/10-main.pg_stat_tmp
I, [2020-02-04T11:56:09.297494 #1]  INFO -- :
I, [2020-02-04T11:56:09.298033 #1]  INFO -- : > chown postgres:postgres /shared/postgres_run/10-main.pg_stat_tmp
I, [2020-02-04T11:56:09.301909 #1]  INFO -- :
I, [2020-02-04T11:56:09.308737 #1]  INFO -- : File > /etc/service/postgres/run  chmod: +x  chown:
I, [2020-02-04T11:56:09.315669 #1]  INFO -- : File > /etc/service/postgres/log/run  chmod: +x  chown:
I, [2020-02-04T11:56:09.322199 #1]  INFO -- : File > /etc/runit/3.d/99-postgres  chmod: +x  chown:
I, [2020-02-04T11:56:09.327902 #1]  INFO -- : File > /root/upgrade_postgres  chmod: +x  chown:
I, [2020-02-04T11:56:09.328472 #1]  INFO -- : > chown -R root /var/lib/postgresql/10/main
I, [2020-02-04T11:56:10.386858 #1]  INFO -- :
I, [2020-02-04T11:56:10.387601 #1]  INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/10/bin/initdb -D /shared/postgres_data || exit 0
I, [2020-02-04T11:56:10.390625 #1]  INFO -- :
I, [2020-02-04T11:56:10.390984 #1]  INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2020-02-04T11:56:10.406223 #1]  INFO -- :
I, [2020-02-04T11:56:10.406943 #1]  INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2020-02-04T11:56:10.410440 #1]  INFO -- :
I, [2020-02-04T11:56:10.410981 #1]  INFO -- : > /root/upgrade_postgres
I, [2020-02-04T11:56:10.416851 #1]  INFO -- :
I, [2020-02-04T11:56:10.417396 #1]  INFO -- : > rm /root/upgrade_postgres
I, [2020-02-04T11:56:10.420105 #1]  INFO -- :
I, [2020-02-04T11:56:10.421103 #1]  INFO -- : Replacing data_directory = '/var/lib/postgresql/10/main' with data_directory = '/shared/postgres_data' in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.421807 #1]  INFO -- : Replacing (?-mix:#?listen_addresses *=.*) with listen_addresses = '*' in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.422328 #1]  INFO -- : Replacing (?-mix:#?synchronous_commit *=.*) with synchronous_commit = $db_synchronous_commit in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.422886 #1]  INFO -- : Replacing (?-mix:#?shared_buffers *=.*) with shared_buffers = $db_shared_buffers in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.423392 #1]  INFO -- : Replacing (?-mix:#?work_mem *=.*) with work_mem = $db_work_mem in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.423904 #1]  INFO -- : Replacing (?-mix:#?default_text_search_config *=.*) with default_text_search_config = '$db_default_text_search_config' in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.424380 #1]  INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2020-02-04T11:56:10.428794 #1]  INFO -- :
I, [2020-02-04T11:56:10.429639 #1]  INFO -- : Replacing (?-mix:#?max_wal_senders *=.*) with max_wal_senders = $db_max_wal_senders in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.430301 #1]  INFO -- : Replacing (?-mix:#?wal_level *=.*) with wal_level = $db_wal_level in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.430930 #1]  INFO -- : Replacing (?-mix:#?checkpoint_segments *=.*) with checkpoint_segments = $db_checkpoint_segments in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.431444 #1]  INFO -- : Replacing (?-mix:#?logging_collector *=.*) with logging_collector = $db_logging_collector in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.432021 #1]  INFO -- : Replacing (?-mix:#?log_min_duration_statement *=.*) with log_min_duration_statement = $db_log_min_duration_statement in /etc/postgresql/10/main/postgresql.conf
I, [2020-02-04T11:56:10.432711 #1]  INFO -- : Replacing (?-mix:^#local +replication +postgres +peer$) with local replication postgres  peer in /etc/postgresql/10/main/pg_hba.conf
I, [2020-02-04T11:56:10.433196 #1]  INFO -- : Replacing (?-mix:^host.*all.*all.*127.*$) with host all all 0.0.0.0/0 md5 in /etc/postgresql/10/main/pg_hba.conf
I, [2020-02-04T11:56:10.433619 #1]  INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/10/bin/postmaster -D /etc/postgresql/10/main
I, [2020-02-04T11:56:10.436661 #1]  INFO -- : > sleep 5
2020-02-04 11:56:10.473 UTC [49] LOG:  listening on IPv4 address "0.0.0.0", port 5432
2020-02-04 11:56:10.473 UTC [49] LOG:  listening on IPv6 address "::", port 5432
2020-02-04 11:56:10.474 UTC [49] LOG:  listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"
2020-02-04 11:56:10.499 UTC [52] LOG:  database system was shut down at 2020-02-04 11:55:54 UTC
2020-02-04 11:56:10.505 UTC [49] LOG:  database system is ready to accept connections
I, [2020-02-04T11:56:15.440013 #1]  INFO -- :
I, [2020-02-04T11:56:15.440576 #1]  INFO -- : > su postgres -c 'createdb discourse' || true
2020-02-04 11:56:15.516 UTC [62] postgres@postgres ERROR:  database "discourse" already exists
2020-02-04 11:56:15.516 UTC [62] postgres@postgres STATEMENT:  CREATE DATABASE discourse;
createdb: database creation failed: ERROR:  database "discourse" already exists
I, [2020-02-04T11:56:15.519001 #1]  INFO -- :
I, [2020-02-04T11:56:15.519438 #1]  INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2020-02-04 11:56:15.593 UTC [73] postgres@discourse ERROR:  role "discourse" already exists
2020-02-04 11:56:15.593 UTC [73] postgres@discourse STATEMENT:  create user discourse;
ERROR:  role "discourse" already exists
I, [2020-02-04T11:56:15.596667 #1]  INFO -- :
I, [2020-02-04T11:56:15.597220 #1]  INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2020-02-04T11:56:15.675380 #1]  INFO -- : GRANT

I, [2020-02-04T11:56:15.675920 #1]  INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2020-02-04T11:56:15.750300 #1]  INFO -- : ALTER SCHEMA

I, [2020-02-04T11:56:15.750863 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2020-02-04T11:56:15.829899 #1]  INFO -- : CREATE EXTENSION

I, [2020-02-04T11:56:15.830367 #1]  INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2020-02-04T11:56:15.901531 #1]  INFO -- : CREATE EXTENSION

I, [2020-02-04T11:56:15.902073 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE:  extension "hstore" already exists, skipping
I, [2020-02-04T11:56:15.975008 #1]  INFO -- : CREATE EXTENSION

I, [2020-02-04T11:56:15.975494 #1]  INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE:  extension "pg_trgm" already exists, skipping
I, [2020-02-04T11:56:16.045642 #1]  INFO -- : CREATE EXTENSION

I, [2020-02-04T11:56:16.046150 #1]  INFO -- : > sudo -u postgres psql discourse
I, [2020-02-04T11:56:16.049178 #1]  INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');

I, [2020-02-04T11:56:16.143460 #1]  INFO -- : File > /var/lib/postgresql/take-database-backup  chmod: +x  chown: postgres:postgres
I, [2020-02-04T11:56:16.147042 #1]  INFO -- : File > /var/spool/cron/crontabs/postgres  chmod:   chown:
I, [2020-02-04T11:56:16.147206 #1]  INFO -- : > echo postgres installed!
I, [2020-02-04T11:56:16.149700 #1]  INFO -- : postgres installed!

I, [2020-02-04T11:56:16.155601 #1]  INFO -- : File > /etc/service/redis/run  chmod: +x  chown:
I, [2020-02-04T11:56:16.161508 #1]  INFO -- : File > /etc/service/redis/log/run  chmod: +x  chown:
I, [2020-02-04T11:56:16.167178 #1]  INFO -- : File > /etc/runit/3.d/10-redis  chmod: +x  chown:
I, [2020-02-04T11:56:16.168187 #1]  INFO -- : Replacing daemonize yes with  in /etc/redis/redis.conf
I, [2020-02-04T11:56:16.168958 #1]  INFO -- : Replacing (?-mix:^pidfile.*$) with  in /etc/redis/redis.conf
I, [2020-02-04T11:56:16.169595 #1]  INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2020-02-04T11:56:16.173742 #1]  INFO -- :
I, [2020-02-04T11:56:16.174695 #1]  INFO -- : Replacing (?-mix:^logfile.*$) with logfile "" in /etc/redis/redis.conf
I, [2020-02-04T11:56:16.175612 #1]  INFO -- : Replacing (?-mix:^bind .*$) with  in /etc/redis/redis.conf
I, [2020-02-04T11:56:16.176359 #1]  INFO -- : Replacing (?-mix:^dir .*$) with dir /shared/redis_data in /etc/redis/redis.conf
I, [2020-02-04T11:56:16.177066 #1]  INFO -- : Replacing (?-mix:^protected-mode yes) with protected-mode no in /etc/redis/redis.conf
I, [2020-02-04T11:56:16.177612 #1]  INFO -- : > echo redis installed
I, [2020-02-04T11:56:16.180803 #1]  INFO -- : redis installed

I, [2020-02-04T11:56:16.181293 #1]  INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2020-02-04T11:56:16.186899 #1]  INFO -- : logfile ""

I, [2020-02-04T11:56:16.187630 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2020-02-04T11:56:16.191295 #1]  INFO -- : > sleep 10
166:C 04 Feb 2020 11:56:16.199 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
166:C 04 Feb 2020 11:56:16.199 # Redis version=5.0.5, bits=64, commit=00000000, modified=0, pid=166, just started
166:C 04 Feb 2020 11:56:16.199 # Configuration loaded
                _._
           _.-``__ ''-._
      _.-``    `.  `_.  ''-._           Redis 5.0.5 (00000000/0) 64 bit
  .-`` .-```.  ```\/    _.,_ ''-._
 (    '      ,       .-`  | `,    )     Running in standalone mode
 |`-._`-...-` __...-.``-._|'` _.-'|     Port: 6379
 |    `-._   `._    /     _.-'    |     PID: 166
  `-._    `-._  `-./  _.-'    _.-'
 |`-._`-._    `-.__.-'    _.-'_.-'|
 |    `-._`-._        _.-'_.-'    |           http://redis.io
  `-._    `-._`-.__.-'_.-'    _.-'
 |`-._`-._    `-.__.-'    _.-'_.-'|
 |    `-._`-._        _.-'_.-'    |
  `-._    `-._`-.__.-'_.-'    _.-'
      `-._    `-.__.-'    _.-'
          `-._        _.-'
              `-.__.-'

166:M 04 Feb 2020 11:56:16.203 # WARNING: The TCP backlog setting of 511 cannot be enforced because /proc/sys/net/core/somaxconn is set to the lower value of 128.
166:M 04 Feb 2020 11:56:16.203 # Server initialized
166:M 04 Feb 2020 11:56:16.203 # WARNING overcommit_memory is set to 0! Background save may fail under low memory condition. To fix this issue add 'vm.overcommit_memory = 1' to /etc/sysctl.conf and then reboot or run the command 'sysctl vm.overcommit_memory=1' for this to take effect.
166:M 04 Feb 2020 11:56:16.204 # WARNING you have Transparent Huge Pages (THP) support enabled in your kernel. This will create latency and memory usage issues with Redis. To fix this issue run the command 'echo never > /sys/kernel/mm/transparent_hugepage/enabled' as root, and add it to your /etc/rc.local in order to retain the setting after a reboot. Redis must be restarted after THP is disabled.
166:M 04 Feb 2020 11:56:16.304 * DB loaded from disk: 0.101 seconds
166:M 04 Feb 2020 11:56:16.304 * Ready to accept connections
I, [2020-02-04T11:56:26.195411 #1]  INFO -- :
I, [2020-02-04T11:56:26.196123 #1]  INFO -- : > thpoff echo "thpoff is installed!"
I, [2020-02-04T11:56:26.203019 #1]  INFO -- : thpoff is installed!

I, [2020-02-04T11:56:26.203746 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2020-02-04T11:56:26.311422 #1]  INFO -- :
I, [2020-02-04T11:56:26.311926 #1]  INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2020-02-04T11:56:26.399607 #1]  INFO -- :
I, [2020-02-04T11:56:26.399929 #1]  INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2020-02-04T11:56:26.487389 #1]  INFO -- :
I, [2020-02-04T11:56:26.487949 #1]  INFO -- : > chown -R discourse /home/discourse
I, [2020-02-04T11:56:27.041253 #1]  INFO -- :
I, [2020-02-04T11:56:27.042015 #1]  INFO -- : > rm -f /etc/cron.d/anacron
I, [2020-02-04T11:56:27.045439 #1]  INFO -- :
I, [2020-02-04T11:56:27.048814 #1]  INFO -- : File > /etc/cron.d/anacron  chmod:   chown:
I, [2020-02-04T11:56:27.054281 #1]  INFO -- : File > /etc/runit/1.d/copy-env  chmod: +x  chown:
I, [2020-02-04T11:56:27.059958 #1]  INFO -- : File > /etc/service/unicorn/run  chmod: +x  chown:
I, [2020-02-04T11:56:27.065814 #1]  INFO -- : File > /etc/service/nginx/run  chmod: +x  chown:
I, [2020-02-04T11:56:27.071417 #1]  INFO -- : File > /etc/runit/3.d/01-nginx  chmod: +x  chown:
I, [2020-02-04T11:56:27.076944 #1]  INFO -- : File > /etc/runit/3.d/02-unicorn  chmod: +x  chown:
I, [2020-02-04T11:56:27.077169 #1]  INFO -- : Replacing # postgres with sv start postgres || exit 1 in /etc/service/unicorn/run
I, [2020-02-04T11:56:27.077593 #1]  INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2020-02-04T11:56:27.079941 #1]  INFO -- : > cd /var/www/discourse && git reset --hard
193:C 04 Feb 2020 11:56:27.085 # oO0OoO0OoO0Oo Redis is starting oO0OoO0OoO0Oo
193:C 04 Feb 2020 11:56:27.085 # Redis version=5.0.5, bits=64, commit=00000000, modified=0, pid=193, just started
193:C 04 Feb 2020 11:56:27.085 # Configuration loaded
193:M 04 Feb 2020 11:56:27.087 # Could not create server TCP listening socket *:6379: bind: Address already in use
Checking out files: 100% (27788/27788), done.
I, [2020-02-04T11:56:30.008317 #1]  INFO -- : HEAD is now at fdea0a0838 fix icon test

I, [2020-02-04T11:56:30.008465 #1]  INFO -- : > cd /var/www/discourse && git clean -f
I, [2020-02-04T11:56:30.127357 #1]  INFO -- :
I, [2020-02-04T11:56:30.127508 #1]  INFO -- : > cd /var/www/discourse && git remote set-branches --add origin master
I, [2020-02-04T11:56:30.133659 #1]  INFO -- :
I, [2020-02-04T11:56:30.133786 #1]  INFO -- : > cd /var/www/discourse && git pull

(git pull messages removed, no errors there)

I, [2020-02-04T11:56:34.806846 #1]  INFO -- : > cd /var/www/discourse && git fetch origin stable
From https://github.com/discourse/discourse
 * branch                  stable     -> FETCH_HEAD
I, [2020-02-04T11:56:35.748932 #1]  INFO -- :
I, [2020-02-04T11:56:35.749328 #1]  INFO -- : > cd /var/www/discourse && git checkout stable
Switched to a new branch 'stable'
I, [2020-02-04T11:56:37.144345 #1]  INFO -- : Branch 'stable' set up to track remote branch 'stable' from 'origin'.

I, [2020-02-04T11:56:37.144680 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp/pids
I, [2020-02-04T11:56:37.149410 #1]  INFO -- :
I, [2020-02-04T11:56:37.149640 #1]  INFO -- : > cd /var/www/discourse && mkdir -p tmp/sockets
I, [2020-02-04T11:56:37.153453 #1]  INFO -- :
I, [2020-02-04T11:56:37.153993 #1]  INFO -- : > cd /var/www/discourse && touch tmp/.gitkeep
I, [2020-02-04T11:56:37.158167 #1]  INFO -- :
I, [2020-02-04T11:56:37.158716 #1]  INFO -- : > cd /var/www/discourse && mkdir -p                    /shared/log/rails
I, [2020-02-04T11:56:37.162724 #1]  INFO -- :
I, [2020-02-04T11:56:37.163178 #1]  INFO -- : > cd /var/www/discourse && bash -c "touch -a           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log"
I, [2020-02-04T11:56:37.168855 #1]  INFO -- :
I, [2020-02-04T11:56:37.169432 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log /var/www/discourse/log"
I, [2020-02-04T11:56:37.175860 #1]  INFO -- :
I, [2020-02-04T11:56:37.176413 #1]  INFO -- : > cd /var/www/discourse && bash -c "mkdir -p           /shared/{uploads,backups}"
I, [2020-02-04T11:56:37.183530 #1]  INFO -- :
I, [2020-02-04T11:56:37.184131 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/{uploads,backups} /var/www/discourse/public"
I, [2020-02-04T11:56:37.190033 #1]  INFO -- :
I, [2020-02-04T11:56:37.190566 #1]  INFO -- : > cd /var/www/discourse && bash -c "mkdir -p           /shared/tmp/{backups,restores}"
I, [2020-02-04T11:56:37.197105 #1]  INFO -- :
I, [2020-02-04T11:56:37.197700 #1]  INFO -- : > cd /var/www/discourse && bash -c "ln    -s           /shared/tmp/{backups,restores} /var/www/discourse/tmp"
I, [2020-02-04T11:56:37.204715 #1]  INFO -- :
I, [2020-02-04T11:56:37.205308 #1]  INFO -- : > cd /var/www/discourse && chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp
I, [2020-02-04T11:56:37.318366 #1]  INFO -- :
I, [2020-02-04T11:56:37.318883 #1]  INFO -- : Replacing # redis with sv start redis || exit 1 in /etc/service/unicorn/run
I, [2020-02-04T11:56:37.319639 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discourse/docker_manager.git
Cloning into 'docker_manager'...
I, [2020-02-04T11:56:38.988391 #1]  INFO -- :
I, [2020-02-04T11:56:38.988786 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discoursehosting/discourse-migratepassword.git
Cloning into 'discourse-migratepassword'...
I, [2020-02-04T11:56:39.904867 #1]  INFO -- :
I, [2020-02-04T11:56:39.905305 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discourse/discourse-solved.git
Cloning into 'discourse-solved'...
I, [2020-02-04T11:56:41.120700 #1]  INFO -- :
I, [2020-02-04T11:56:41.121114 #1]  INFO -- : > cd /var/www/discourse/plugins && git clone https://github.com/discourse/discourse-github.git
Cloning into 'discourse-github'...
I, [2020-02-04T11:56:42.126043 #1]  INFO -- :
I, [2020-02-04T11:56:42.126368 #1]  INFO -- : > cd /var/www/discourse/plugins && apt update; apt install tmux nano wget inetutils-ping libsqlite3-dev default-libmysqlclient-dev -y

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.


WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

debconf: delaying package configuration, since apt-utils is not installed
I, [2020-02-04T11:56:48.848378 #1]  INFO -- : Get:1 http://security.debian.org/debian-security buster/updates InRelease [65.4 kB]
Get:2 https://deb.nodesource.com/node_10.x buster InRelease [4,584 B]
Hit:3 http://deb.debian.org/debian buster InRelease
Get:4 http://deb.debian.org/debian buster-updates InRelease [49.3 kB]
Get:5 http://security.debian.org/debian-security buster/updates/main amd64 Packages [175 kB]
Get:6 http://apt.postgresql.org/pub/repos/apt buster-pgdg InRelease [46.2 kB]
Get:7 https://deb.nodesource.com/node_10.x buster/main amd64 Packages [766 B]
Get:8 http://apt.postgresql.org/pub/repos/apt buster-pgdg/main amd64 Packages [156 kB]
Fetched 498 kB in 1s (468 kB/s)
Reading package lists...
Building dependency tree...
Reading state information...
10 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists...
Building dependency tree...
Reading state information...
wget is already the newest version (1.20.1-1.1).
The following additional packages will be installed:
  libgmp-dev libgmpxx4ldbl libgnutls-openssl27 libgnutls28-dev libgnutlsxx28
  libidn2-0 libidn2-dev libmariadb-dev libmariadb-dev-compat libp11-kit-dev
  libtasn1-6-dev libtasn1-doc libutempter0 nettle-dev
Suggested packages:
  gmp-doc libgmp10-doc libmpfr-dev gnutls-bin gnutls-doc sqlite3-doc spell
The following NEW packages will be installed:
  default-libmysqlclient-dev inetutils-ping libgmp-dev libgmpxx4ldbl
  libgnutls-openssl27 libgnutls28-dev libgnutlsxx28 libidn2-dev libmariadb-dev
  libmariadb-dev-compat libp11-kit-dev libsqlite3-dev libtasn1-6-dev
  libtasn1-doc libutempter0 nano nettle-dev tmux
The following packages will be upgraded:
  libidn2-0
1 upgraded, 18 newly installed, 0 to remove and 9 not upgraded.
Need to get 6,826 kB of archives.
After this operation, 22.5 MB of additional disk space will be used.
Get:1 http://deb.debian.org/debian buster/main amd64 nano amd64 3.2-3 [544 kB]
Get:2 http://security.debian.org/debian-security buster/updates/main amd64 libidn2-0 amd64 2.0.5-1+deb10u1 [76.7 kB]
Get:3 http://security.debian.org/debian-security buster/updates/main amd64 libidn2-dev amd64 2.0.5-1+deb10u1 [79.5 kB]
Get:4 http://deb.debian.org/debian buster/main amd64 libgnutls-openssl27 amd64 3.6.7-4 [316 kB]
Get:5 http://deb.debian.org/debian buster/main amd64 libgnutlsxx28 amd64 3.6.7-4 [14.6 kB]
Get:6 http://deb.debian.org/debian buster/main amd64 libp11-kit-dev amd64 0.23.15-2 [195 kB]
Get:7 http://deb.debian.org/debian buster/main amd64 libtasn1-6-dev amd64 4.13-3 [104 kB]
Get:8 http://deb.debian.org/debian buster/main amd64 libgmpxx4ldbl amd64 2:6.1.2+dfsg-4 [22.9 kB]
Get:9 http://deb.debian.org/debian buster/main amd64 libgmp-dev amd64 2:6.1.2+dfsg-4 [628 kB]
Get:10 http://deb.debian.org/debian buster/main amd64 nettle-dev amd64 3.4.1-1 [1,076 kB]
Get:11 http://deb.debian.org/debian buster/main amd64 libgnutls28-dev amd64 3.6.7-4 [1,086 kB]
Get:12 http://deb.debian.org/debian buster/main amd64 libmariadb-dev amd64 1:10.3.18-0+deb10u1 [1,009 kB]
Get:13 http://deb.debian.org/debian buster/main amd64 libmariadb-dev-compat amd64 1:10.3.18-0+deb10u1 [30.9 kB]
Get:14 http://deb.debian.org/debian buster/main amd64 default-libmysqlclient-dev amd64 1.0.5 [3,764 B]
Get:15 http://deb.debian.org/debian buster/main amd64 inetutils-ping amd64 2:1.9.4-7 [226 kB]
Get:16 http://deb.debian.org/debian buster/main amd64 libsqlite3-dev amd64 3.27.2-3 [787 kB]
Get:17 http://deb.debian.org/debian buster/main amd64 libtasn1-doc all 4.13-3 [317 kB]
Get:18 http://deb.debian.org/debian buster/main amd64 libutempter0 amd64 1.1.6-3 [7,812 B]
Get:19 http://deb.debian.org/debian buster/main amd64 tmux amd64 2.8-3 [302 kB]
Fetched 6,826 kB in 0s (52.3 MB/s)
(Reading database ... 44562 files and directories currently installed.)
Preparing to unpack .../libidn2-0_2.0.5-1+deb10u1_amd64.deb ...
Unpacking libidn2-0:amd64 (2.0.5-1+deb10u1) over (2.0.5-1) ...
Setting up libidn2-0:amd64 (2.0.5-1+deb10u1) ...
Selecting previously unselected package nano.
(Reading database ... 44562 files and directories currently installed.)
Preparing to unpack .../00-nano_3.2-3_amd64.deb ...
Unpacking nano (3.2-3) ...
Selecting previously unselected package libgnutls-openssl27:amd64.
Preparing to unpack .../01-libgnutls-openssl27_3.6.7-4_amd64.deb ...
Unpacking libgnutls-openssl27:amd64 (3.6.7-4) ...
Selecting previously unselected package libgnutlsxx28:amd64.
Preparing to unpack .../02-libgnutlsxx28_3.6.7-4_amd64.deb ...
Unpacking libgnutlsxx28:amd64 (3.6.7-4) ...
Selecting previously unselected package libidn2-dev:amd64.
Preparing to unpack .../03-libidn2-dev_2.0.5-1+deb10u1_amd64.deb ...
Unpacking libidn2-dev:amd64 (2.0.5-1+deb10u1) ...
Selecting previously unselected package libp11-kit-dev:amd64.
Preparing to unpack .../04-libp11-kit-dev_0.23.15-2_amd64.deb ...
Unpacking libp11-kit-dev:amd64 (0.23.15-2) ...
Selecting previously unselected package libtasn1-6-dev:amd64.
Preparing to unpack .../05-libtasn1-6-dev_4.13-3_amd64.deb ...
Unpacking libtasn1-6-dev:amd64 (4.13-3) ...
Selecting previously unselected package libgmpxx4ldbl:amd64.
Preparing to unpack .../06-libgmpxx4ldbl_2%3a6.1.2+dfsg-4_amd64.deb ...
Unpacking libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-4) ...
Selecting previously unselected package libgmp-dev:amd64.
Preparing to unpack .../07-libgmp-dev_2%3a6.1.2+dfsg-4_amd64.deb ...
Unpacking libgmp-dev:amd64 (2:6.1.2+dfsg-4) ...
Selecting previously unselected package nettle-dev:amd64.
Preparing to unpack .../08-nettle-dev_3.4.1-1_amd64.deb ...
Unpacking nettle-dev:amd64 (3.4.1-1) ...
Selecting previously unselected package libgnutls28-dev:amd64.
Preparing to unpack .../09-libgnutls28-dev_3.6.7-4_amd64.deb ...
Unpacking libgnutls28-dev:amd64 (3.6.7-4) ...
Selecting previously unselected package libmariadb-dev.
Preparing to unpack .../10-libmariadb-dev_1%3a10.3.18-0+deb10u1_amd64.deb ...
Unpacking libmariadb-dev (1:10.3.18-0+deb10u1) ...
Selecting previously unselected package libmariadb-dev-compat:amd64.
Preparing to unpack .../11-libmariadb-dev-compat_1%3a10.3.18-0+deb10u1_amd64.deb ...
Unpacking libmariadb-dev-compat:amd64 (1:10.3.18-0+deb10u1) ...
Selecting previously unselected package default-libmysqlclient-dev:amd64.
Preparing to unpack .../12-default-libmysqlclient-dev_1.0.5_amd64.deb ...
Unpacking default-libmysqlclient-dev:amd64 (1.0.5) ...
Selecting previously unselected package inetutils-ping.
Preparing to unpack .../13-inetutils-ping_2%3a1.9.4-7_amd64.deb ...
Unpacking inetutils-ping (2:1.9.4-7) ...
Selecting previously unselected package libsqlite3-dev:amd64.
Preparing to unpack .../14-libsqlite3-dev_3.27.2-3_amd64.deb ...
Unpacking libsqlite3-dev:amd64 (3.27.2-3) ...
Selecting previously unselected package libtasn1-doc.
Preparing to unpack .../15-libtasn1-doc_4.13-3_all.deb ...
Unpacking libtasn1-doc (4.13-3) ...
Selecting previously unselected package libutempter0:amd64.
Preparing to unpack .../16-libutempter0_1.1.6-3_amd64.deb ...
Unpacking libutempter0:amd64 (1.1.6-3) ...
Selecting previously unselected package tmux.
Preparing to unpack .../17-tmux_2.8-3_amd64.deb ...
Unpacking tmux (2.8-3) ...
Setting up libgnutls-openssl27:amd64 (3.6.7-4) ...
Setting up libtasn1-doc (4.13-3) ...
Setting up libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-4) ...
Setting up libsqlite3-dev:amd64 (3.27.2-3) ...
Setting up libgnutlsxx28:amd64 (3.6.7-4) ...
Setting up libidn2-dev:amd64 (2.0.5-1+deb10u1) ...
Setting up inetutils-ping (2:1.9.4-7) ...
Setting up libutempter0:amd64 (1.1.6-3) ...
Setting up nano (3.2-3) ...
update-alternatives: using /bin/nano to provide /usr/bin/editor (editor) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/editor.1.gz because associated file /usr/share/man/man1/nano.1.gz (of link group editor) doesn't exist
update-alternatives: using /bin/nano to provide /usr/bin/pico (pico) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/pico.1.gz because associated file /usr/share/man/man1/nano.1.gz (of link group pico) doesn't exist
Setting up libtasn1-6-dev:amd64 (4.13-3) ...
Setting up tmux (2.8-3) ...
Setting up libp11-kit-dev:amd64 (0.23.15-2) ...
Setting up libgmp-dev:amd64 (2:6.1.2+dfsg-4) ...
Setting up nettle-dev:amd64 (3.4.1-1) ...
Setting up libgnutls28-dev:amd64 (3.6.7-4) ...
Setting up libmariadb-dev (1:10.3.18-0+deb10u1) ...
Setting up libmariadb-dev-compat:amd64 (1:10.3.18-0+deb10u1) ...
Setting up default-libmysqlclient-dev:amd64 (1.0.5) ...
Processing triggers for libc-bin (2.28-10) ...

I, [2020-02-04T11:56:48.848536 #1]  INFO -- : > cd /var/www/discourse/plugins && gem install mysql2
I, [2020-02-04T11:56:57.200772 #1]  INFO -- : Building native extensions. This could take a while...
Successfully installed mysql2-0.5.3
1 gem installed

I, [2020-02-04T11:56:57.201244 #1]  INFO -- : > cd /var/www/discourse/plugins && gem install bcrypt -v 3.1.3 -i /var/www/discourse/plugins/discourse-migratepassword/gems/2.5.1 --no-document --ignore-dependencies
I, [2020-02-04T11:56:59.647304 #1]  INFO -- : Building native extensions. This could take a while...
Successfully installed bcrypt-3.1.3
1 gem installed

I, [2020-02-04T11:56:59.647828 #1]  INFO -- : > cd /var/www/discourse/plugins && gem install unix-crypt -v 1.3.0 -i /var/www/discourse/plugins/discourse-migratepassword/gems/2.5.1 --no-document --ignore-dependencies
I, [2020-02-04T11:57:00.200614 #1]  INFO -- : Successfully installed unix-crypt-1.3.0
1 gem installed

I, [2020-02-04T11:57:00.201052 #1]  INFO -- : > cd /var/www/discourse/plugins && chown -R discourse /var/www/discourse/plugins/discourse-migratepassword/
I, [2020-02-04T11:57:00.207435 #1]  INFO -- :
I, [2020-02-04T11:57:00.207997 #1]  INFO -- : > cp /var/www/discourse/config/nginx.sample.conf /etc/nginx/conf.d/discourse.conf
I, [2020-02-04T11:57:00.211915 #1]  INFO -- :
I, [2020-02-04T11:57:00.212462 #1]  INFO -- : > rm /etc/nginx/sites-enabled/default
I, [2020-02-04T11:57:00.215375 #1]  INFO -- :
I, [2020-02-04T11:57:00.215913 #1]  INFO -- : > mkdir -p /var/nginx/cache
I, [2020-02-04T11:57:00.218933 #1]  INFO -- :
I, [2020-02-04T11:57:00.219467 #1]  INFO -- : Replacing pid /run/nginx.pid; with daemon off; in /etc/nginx/nginx.conf
I, [2020-02-04T11:57:00.220049 #1]  INFO -- : Replacing (?m-ix:upstream[^\}]+\}) with upstream discourse { server 127.0.0.1:3000; } in /etc/nginx/conf.d/discourse.conf
I, [2020-02-04T11:57:00.220533 #1]  INFO -- : Replacing (?-mix:server_name.+$) with server_name _ ; in /etc/nginx/conf.d/discourse.conf
I, [2020-02-04T11:57:00.220985 #1]  INFO -- : Replacing (?-mix:client_max_body_size.+$) with client_max_body_size $upload_size ; in /etc/nginx/conf.d/discourse.conf
I, [2020-02-04T11:57:00.221414 #1]  INFO -- : > echo "done configuring web"
I, [2020-02-04T11:57:00.224163 #1]  INFO -- : done configuring web

I, [2020-02-04T11:57:00.224805 #1]  INFO -- : > cd /var/www/discourse && gem update bundler
I, [2020-02-04T11:57:06.519077 #1]  INFO -- : Updating installed gems
Updating bundler
Successfully installed bundler-2.1.4
Gems updated: bundler

I, [2020-02-04T11:57:06.519634 #1]  INFO -- : > cd /var/www/discourse && find /var/www/discourse ! -user discourse -exec chown discourse {} \+
I, [2020-02-04T11:57:07.494591 #1]  INFO -- :
I, [2020-02-04T11:57:07.495122 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle install --deployment --retry 3 --jobs 4 --verbose --without test development'
[DEPRECATED] The `--deployment` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set deployment 'true'`, and stop using this flag
[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set without 'test development'`, and stop using this flag
I, [2020-02-04T11:59:19.740872 #1]  INFO -- : Running `bundle install --deployment --jobs 4 --retry 3 --verbose --without "test" "development"` with bundler 2.1.1
Frozen, using resolution from the lockfile
The definition is missing ["rake-12.3.2", "i18n-1.6.0", "minitest-5.11.3", "activesupport-5.2.3", "builder-3.2.3", "erubi-1.8.0", "nokogiri-1.10.3", "crass-1.0.4", "loofah-2.2.3", "rails-html-sanitizer-1.0.4", "actionview-5.2.3", "rack-2.0.7", "actionpack-5.2.3", "activejob-5.2.3", "mini_mime-1.0.1", "actionmailer-5.2.3", "activemodel-5.2.3", "arel-9.0.0", "activerecord-5.2.3", "aws-partitions-1.154.0", "aws-sdk-core-3.48.6", "aws-sdk-kms-1.17.0", "aws-sdk-s3-1.36.1", "aws-sdk-sns-1.13.0", "msgpack-1.2.10", "bootsnap-1.4.4", "discourse-ember-source-3.8.0.1", "fspath-3.1.0", "in_threads-1.5.1", "progress-3.5.0", "thor-0.20.3", "railties-5.2.3", "jquery-rails-4.3.3", "excon-0.64.0", "faraday-0.15.4", "rake-compiler-1.0.7", "fastimage-2.1.5", "ffi-1.10.0", "hiredis-0.6.3", "http_accept_language-2.0.5", "lograge-0.11.0", "logster-2.3.2", "memory_profiler-0.9.13", "message_bus-2.2.0", "mini_racer-0.2.6", "rack-protection-2.0.5", "redis-4.0.1", "sidekiq-5.2.7", "mini_scheduler-0.11.0", "moneta-1.1.1", "multi_json-1.13.1", "mustache-1.1.0", "nokogumbo-2.0.1", "oauth2-1.4.1", "oj-3.7.12", "omniauth-google-oauth2-0.7.0", "ruby-openid-2.7.0", "sanitize-5.0.0", "onebox-1.8.92", "puma-3.12.1", "redis-namespace-1.6.0", "rotp-3.3.1", "rqrcode-0.10.1", "tilt-2.0.9", "sassc-rails-2.1.1", "stackprof-0.2.12", "uglifier-4.1.20", "webpush-0.3.8"]
HTTP GET https://index.rubygems.org/versions
HTTP 206 Partial Content https://index.rubygems.org/versions
Fetching gem metadata from https://rubygems.org/
Looking up gems ["rake", "concurrent-ruby", "i18n", "minitest", "thread_safe", "tzinfo", "activesupport", "builder", "erubi", "mini_portile2", "nokogiri", "rails-dom-testing", "crass", "loofah", "rails-html-sanitizer", "actionview", "rack", "rack-test", "actionpack", "globalid", "activejob", "mini_mime", "mail", "actionmailer", "activemodel", "active_model_serializers", "arel", "activerecord", "aws-eventstream", "aws-partitions", "aws-sigv4", "jmespath", "aws-sdk-core", "aws-sdk-kms", "aws-sdk-s3", "aws-sdk-sns", "ember-source", "execjs", "barber", "msgpack", "bootsnap", "chunky_png", "coderay", "colored2", "connection_pool", "cppjieba_rb", "diffy", "discourse-ember-source", "exifr", "fspath", "image_size", "in_threads", "progress", "discourse_image_optim", "email_reply_trimmer", "ember-data-source", "sprockets", "ember-handlebars-template", "method_source", "thor", "railties", "jquery-rails", "ember-rails", "excon", "multipart-post", "faraday", "fast_blank", "rake-compiler", "fast_xor", "fast_xs", "fastimage", "ffi", "flamegraph", "gc_tracer", "guess_html_encoding", "hashie", "highline", "hiredis", "hkdf", "htmlentities", "http_accept_language", "jwt", "kgio", "libv8", "request_store", "lograge", "logstash-event", "logstash-logger", "logster", "lru_redux", "maxminddb", "memory_profiler", "message_bus", "mini_racer", "rack-protection", "redis", "sidekiq", "mini_scheduler", "mini_sql", "mini_suffix", "moneta", "multi_json", "multi_xml", "mustache", "nokogumbo", "oauth", "oauth2", "oj", "omniauth", "omniauth-oauth2", "omniauth-facebook", "omniauth-github", "omniauth-google-oauth2", "omniauth-instagram", "omniauth-oauth", "ruby-openid", "rack-openid", "omniauth-openid", "omniauth-twitter", "sanitize", "onebox", "openid-redis-store", "optimist", "pg", "pry", "pry-rails", "puma", "r2", "rack-mini-profiler", "rails_multisite", "raindrops", "rbtrace", "rchardet", "redis-namespace", "rinku", "rotp", "rqrcode", "rtlit", "ruby-readability", "sassc", "sprockets-rails", "tilt", "sassc-rails", "seed-fu", "sshkey", "stackprof", "uglifier", "unf_ext", "unf", "unicorn", "webpush"]
HTTP GET https://index.rubygems.org/info/concurrent-ruby
HTTP GET https://index.rubygems.org/info/i18n
HTTP GET https://index.rubygems.org/info/tzinfo
HTTP 206 Partial Content https://index.rubygems.org/info/concurrent-ruby
HTTP 206 Partial Content https://index.rubygems.org/info/i18n
HTTP GET https://index.rubygems.org/info/aws-partitions
HTTP GET https://index.rubygems.org/info/discourse-ember-source
HTTP GET https://index.rubygems.org/info/aws-sdk-core
HTTP GET https://index.rubygems.org/info/aws-sdk-kms
HTTP 206 Partial Content https://index.rubygems.org/info/aws-partitions
HTTP GET https://index.rubygems.org/info/aws-sdk-s3
HTTP 206 Partial Content https://index.rubygems.org/info/discourse-ember-source
HTTP 206 Partial Content https://index.rubygems.org/info/tzinfo
HTTP GET https://index.rubygems.org/info/in_threads
HTTP 206 Partial Content https://index.rubygems.org/info/aws-sdk-core
HTTP 206 Partial Content https://index.rubygems.org/info/in_threads
HTTP 206 Partial Content https://index.rubygems.org/info/aws-sdk-kms
HTTP GET https://index.rubygems.org/info/excon
HTTP 206 Partial Content https://index.rubygems.org/info/aws-sdk-s3
HTTP 206 Partial Content https://index.rubygems.org/info/excon
HTTP GET https://index.rubygems.org/info/hashie
HTTP GET https://index.rubygems.org/info/rake-compiler
HTTP 206 Partial Content https://index.rubygems.org/info/hashie
HTTP 206 Partial Content https://index.rubygems.org/info/rake-compiler
HTTP GET https://index.rubygems.org/info/kgio
HTTP 206 Partial Content https://index.rubygems.org/info/kgio
HTTP GET https://index.rubygems.org/info/crass
HTTP 206 Partial Content https://index.rubygems.org/info/crass
HTTP GET https://index.rubygems.org/info/faraday
HTTP 206 Partial Content https://index.rubygems.org/info/faraday
HTTP GET https://index.rubygems.org/info/minitest
HTTP GET https://index.rubygems.org/info/nokogiri
HTTP 206 Partial Content https://index.rubygems.org/info/minitest
HTTP 206 Partial Content https://index.rubygems.org/info/nokogiri
HTTP GET https://index.rubygems.org/info/sidekiq
HTTP GET https://index.rubygems.org/info/request_store
HTTP 206 Partial Content https://index.rubygems.org/info/request_store
HTTP 206 Partial Content https://index.rubygems.org/info/sidekiq
HTTP GET https://index.rubygems.org/info/msgpack
HTTP GET https://index.rubygems.org/info/rack
HTTP 206 Partial Content https://index.rubygems.org/info/msgpack
HTTP 206 Partial Content https://index.rubygems.org/info/rack
HTTP GET https://index.rubygems.org/info/rack-protection
HTTP 206 Partial Content https://index.rubygems.org/info/rack-protection
HTTP GET https://index.rubygems.org/info/pg
HTTP GET https://index.rubygems.org/info/onebox
HTTP 206 Partial Content https://index.rubygems.org/info/pg
HTTP 206 Partial Content https://index.rubygems.org/info/onebox
HTTP GET https://index.rubygems.org/info/rack-mini-profiler
HTTP 206 Partial Content https://index.rubygems.org/info/rack-mini-profiler
HTTP GET https://index.rubygems.org/info/ffi
HTTP 206 Partial Content https://index.rubygems.org/info/ffi
HTTP GET https://index.rubygems.org/info/mini_sql
HTTP 206 Partial Content https://index.rubygems.org/info/mini_sql
HTTP GET https://index.rubygems.org/info/mini_racer
HTTP GET https://index.rubygems.org/info/oauth2
HTTP 206 Partial Content https://index.rubygems.org/info/mini_racer
HTTP GET https://index.rubygems.org/info/oj
HTTP GET https://index.rubygems.org/info/unicorn
HTTP 206 Partial Content https://index.rubygems.org/info/oauth2
HTTP GET https://index.rubygems.org/info/omniauth-facebook
HTTP 206 Partial Content https://index.rubygems.org/info/oj
HTTP 206 Partial Content https://index.rubygems.org/info/unicorn
HTTP 206 Partial Content https://index.rubygems.org/info/omniauth-facebook
HTTP GET https://index.rubygems.org/info/raindrops
HTTP 206 Partial Content https://index.rubygems.org/info/raindrops
Looking up gems ["atomic", "memcache-client", "json", "zeitwerk", "rails-deprecated_sanitizer", "hoe", "erubis", "rack-mount", "rack-cache", "journey", "mime-types", "treetop", "tlsmail", "activemodel-globalid", "bcrypt-ruby", "jsonapi", "case_transform", "jsonapi-renderer", "snappy", "json_pure", "ember-template-compiler-source", "handlebars-source", "newgem", "ruby_parser", "hike", "rack-ssl", "rdoc", "functional-ruby", "ref", "jamespath", "http-2", "addressable", "fast_stack", "rails", "termios", "rb-appscript", "xattr", "ffi-xattr", "stud", "active-model-adapter-source", "ember-cli-assets", "ember-es6_template", "text-format", "activerecord-deprecated_finders", "eventmachine", "thin", "rspec", "ruby-yadis", "hpricot", "ruby-hmac", "racc", "rexical", "tenderlove-frex", "weakling", "mini_portile", "pkg-config", "oa-core", "oa-oauth", "oa-openid", "oa-basic", "oa-enterprise", "oa-more", "trollop", "nio4r", "base32", "rqrcode_core", "celluloid", "compass", "sass", "sprockets-sass", "sinatra", "slim", "camping", "fcgi", "mongrel", "test-spec", "pry-doc", "escape_utils", "bones", "therubyracer", "bundler", "win32console", "yard", "slop", "spoon", "opengraph_parser", "verbal_expressions", "hexpress", "pdf-reader", "faraday-middleware", "httpauth"]
HTTP GET https://index.rubygems.org/info/treetop
HTTP 206 Partial Content https://index.rubygems.org/info/treetop
HTTP GET https://index.rubygems.org/info/handlebars-source
HTTP 206 Partial Content https://index.rubygems.org/info/handlebars-source
HTTP GET https://index.rubygems.org/info/rack-cache
HTTP 206 Partial Content https://index.rubygems.org/info/rack-cache
HTTP GET https://index.rubygems.org/info/newgem
HTTP GET https://index.rubygems.org/info/racc
HTTP GET https://index.rubygems.org/info/snappy
HTTP 206 Partial Content https://index.rubygems.org/info/newgem
HTTP 206 Partial Content https://index.rubygems.org/info/racc
HTTP 206 Partial Content https://index.rubygems.org/info/snappy
HTTP GET https://index.rubygems.org/info/rdoc
HTTP 206 Partial Content https://index.rubygems.org/info/rdoc
HTTP GET https://index.rubygems.org/info/hoe
HTTP 206 Partial Content https://index.rubygems.org/info/hoe
HTTP GET https://index.rubygems.org/info/bundler
HTTP GET https://index.rubygems.org/info/yard
HTTP 206 Partial Content https://index.rubygems.org/info/bundler
HTTP GET https://index.rubygems.org/info/slop
HTTP 206 Partial Content https://index.rubygems.org/info/yard
HTTP 206 Partial Content https://index.rubygems.org/info/slop
HTTP GET https://index.rubygems.org/info/mime-types
HTTP 206 Partial Content https://index.rubygems.org/info/mime-types
HTTP GET https://index.rubygems.org/info/sinatra
HTTP 206 Partial Content https://index.rubygems.org/info/sinatra
Looking up gems ["ZenTest", "RubyInline", "abstract", "jsonapi-parser", "launchy", "public_suffix", "activeresource", "actionwebservice", "actioncable", "activestorage", "actionmailbox", "actiontext", "ParseTree", "sexp_processor", "metriks", "multimap", "text-hyphen", "daemons", "eventmachine-le", "http_parser.rb", "preforker", "spruz", "ruby-openid-apps-discovery", "net-ldap", "rubyntlm", "pyu-ruby-sasl", "uuid", "XMLCanonicalizer", "rest-client", "bcrypt", "restclient", "curses", "facets", "polyglot", "babel-transpiler", "markaby", "metaid", "mab", "cgi_multipart_eof_fix", "fastthread", "gem_plugin", "flexmock", "mocha", "temple", "haml", "fssm", "listen", "compass-core", "compass-import-once", "rb-fsevent", "rb-inotify", "cucumber", "diff-lcs", "spicycode-rcov", "syntax", "rspec-core", "rspec-expectations", "rspec-mocks", "timers", "facter", "celluloid-essentials", "celluloid-extras", "celluloid-fsm", "celluloid-pool", "celluloid-supervision", "dotenv", "nenv", "rspec-logsplit", "snappy-jars", "Ascii85", "ruby-rc4", "hashery", "afm", "ttfunk", "sprockets-helpers", "RedCloth", "rubigen", "sass-listen", "little-plugger", "loquacious", "bones-extras", "bones-git", "archive-tar-minitar", "rcov", "mime-types-data", "rubyforge", "gemcutter", "shotgun", "backports", "mustermann"]
HTTP GET https://index.rubygems.org/info/public_suffix
HTTP 206 Partial Content https://index.rubygems.org/info/public_suffix
HTTP GET https://index.rubygems.org/info/mocha
HTTP 206 Partial Content https://index.rubygems.org/info/mocha
HTTP GET https://index.rubygems.org/info/rb-inotify
HTTP 206 Partial Content https://index.rubygems.org/info/rb-inotify
HTTP GET https://index.rubygems.org/info/facter
HTTP 206 Partial Content https://index.rubygems.org/info/facter
HTTP GET https://index.rubygems.org/info/curses
HTTP GET https://index.rubygems.org/info/ttfunk
HTTP 206 Partial Content https://index.rubygems.org/info/curses
HTTP 206 Partial Content https://index.rubygems.org/info/ttfunk
HTTP GET https://index.rubygems.org/info/mustermann
HTTP 206 Partial Content https://index.rubygems.org/info/mustermann
HTTP GET https://index.rubygems.org/info/rspec-core
HTTP 206 Partial Content https://index.rubygems.org/info/rspec-core
HTTP GET https://index.rubygems.org/info/rspec-mocks
HTTP 206 Partial Content https://index.rubygems.org/info/rspec-mocks
Looking up gems ["configuration", "marcel", "netrc", "http-cookie", "http-accept", "coffee-rails", "em-hiredis", "faye-websocket", "websocket-driver", "babel-source", "maruku", "rb-fchange", "rb-kqueue", "celluloid-io", "ruby_dep", "metaclass", "hitimes", "macaddr", "celluloid-gems", "coveralls", "rubocop", "dotenv-deployment", "blankslate", "echoe", "thoughtbot-shoulda", "rbtree", "faraday_middleware", "yajl-ruby", "avl_tree", "net-scp", "bones-rcov", "bones-rspec", "bones-rubyforge", "bones-zentest", "log4r", "rails-observers", "activemodel-serializers-xml", "minitar", "minitar-cli", "CFPropertyList", "sys-admin", "win32-api", "win32-dir", "windows-api", "windows-pr", "win32-security", "tool", "ruby2_keywords", "rspec-support", "term-ansicolor", "gherkin", "multi_test", "cucumber-core", "gherkin3", "cucumber-wire", "event-bus", "cucumber-expressions", "cucumber-formatter-dots", "SexpProcessor", "git"]
HTTP GET https://index.rubygems.org/info/sys-admin
HTTP 206 Partial Content https://index.rubygems.org/info/sys-admin
HTTP GET https://index.rubygems.org/info/ruby2_keywords
HTTP 200 OK https://index.rubygems.org/info/ruby2_keywords
HTTP GET https://index.rubygems.org/info/rubocop
HTTP 206 Partial Content https://index.rubygems.org/info/rubocop
HTTP GET https://index.rubygems.org/info/net-scp
HTTP 206 Partial Content https://index.rubygems.org/info/net-scp
HTTP GET https://index.rubygems.org/info/rspec-support
HTTP 206 Partial Content https://index.rubygems.org/info/rspec-support
HTTP GET https://index.rubygems.org/info/faraday_middleware
HTTP 206 Partial Content https://index.rubygems.org/info/faraday_middleware
HTTP GET https://index.rubygems.org/info/git
HTTP 206 Partial Content https://index.rubygems.org/info/git
Looking up gems ["websocket-extensions", "powerbar", "coffee-script", "systemu", "colorize", "simplecov", "tins", "allison", "cucumber-messages", "c21e", "cucumber-tag_expressions", "os", "domain_name", "sqlite3", "test-unit", "ffi-win32-extensions", "mkrf", "rainbow", "parser", "powerpack", "ruby-progressbar", "astrolabe", "unicode-display_width", "parallel", "jaro_winkler", "psych", "mimemagic", "libxml-ruby", "roauth", "net-ssh"]
HTTP GET https://index.rubygems.org/info/net-ssh
HTTP 206 Partial Content https://index.rubygems.org/info/net-ssh
HTTP GET https://index.rubygems.org/info/unicode-display_width
HTTP GET https://index.rubygems.org/info/test-unit
HTTP 206 Partial Content https://index.rubygems.org/info/unicode-display_width
HTTP GET https://index.rubygems.org/info/mimemagic
HTTP 206 Partial Content https://index.rubygems.org/info/test-unit
HTTP GET https://index.rubygems.org/info/cucumber-messages
HTTP 206 Partial Content https://index.rubygems.org/info/mimemagic
HTTP GET https://index.rubygems.org/info/simplecov
HTTP 206 Partial Content https://index.rubygems.org/info/simplecov
HTTP 206 Partial Content https://index.rubygems.org/info/cucumber-messages
HTTP GET https://index.rubygems.org/info/parser
HTTP 206 Partial Content https://index.rubygems.org/info/parser
HTTP GET https://index.rubygems.org/info/tins
HTTP 206 Partial Content https://index.rubygems.org/info/tins
Looking up gems ["jar-dependencies", "coffee-script-source", "simplecov-html", "docile", "lockfile", "power_assert", "needle", "jruby-pageant", "bcrypt_pbkdf", "rbnacl", "rbnacl-libsodium", "ansi", "google-protobuf", "protobuf-cucumber", "sync", "ast"]
HTTP GET https://index.rubygems.org/info/simplecov-html
HTTP GET https://index.rubygems.org/info/protobuf-cucumber
HTTP GET https://index.rubygems.org/info/sync
HTTP 206 Partial Content https://index.rubygems.org/info/simplecov-html
HTTP 200 OK https://index.rubygems.org/info/protobuf-cucumber
HTTP 200 OK https://index.rubygems.org/info/sync
HTTP GET https://index.rubygems.org/info/google-protobuf
HTTP 206 Partial Content https://index.rubygems.org/info/google-protobuf
HTTP GET https://index.rubygems.org/info/rbnacl
HTTP 206 Partial Content https://index.rubygems.org/info/rbnacl
Looking up gems ["pattern-match", "middleware", "ruby-maven"]
HTTP GET https://index.rubygems.org/info/middleware
HTTP 200 OK https://index.rubygems.org/info/middleware
Looking up gems ["maven-tools", "ruby-maven-libs"]
Looking up gems ["virtus"]
Looking up gems ["descendants_tracker", "axiom-types", "coercible", "equalizer"]
Looking up gems ["ice_nine", "adamantium"]
Looking up gems ["memoizable"]
Fetching rake 12.3.2
Installing rake 12.3.2
1:  rake (12.3.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rake-12.3.2.gemspec
Using concurrent-ruby 1.1.5
0:  concurrent-ruby (1.1.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/concurrent-ruby-1.1.5.gemspec
Using thread_safe 0.3.6
2:  thread_safe (0.3.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/thread_safe-0.3.6.gemspec
Fetching builder 3.2.3
Fetching minitest 5.11.3
Fetching erubi 1.8.0
Installing minitest 5.11.3
Installing erubi 1.8.0
Installing builder 3.2.3
1:  erubi (1.8.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/erubi-1.8.0.gemspec
Using mini_portile2 2.4.0
1:  mini_portile2 (2.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_portile2-2.4.0.gemspec
Fetching crass 1.0.4
Installing crass 1.0.4
2:  builder (3.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/builder-3.2.3.gemspec
Fetching rack 2.0.7
0:  minitest (5.11.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/minitest-5.11.3.gemspec
Fetching mini_mime 1.0.1
Installing mini_mime 1.0.1
1:  crass (1.0.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/crass-1.0.4.gemspec
Fetching arel 9.0.0
Installing rack 2.0.7
Installing arel 9.0.0
0:  mini_mime (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_mime-1.0.1.gemspec
Using aws-eventstream 1.0.3
0:  aws-eventstream (1.0.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-eventstream-1.0.3.gemspec
Fetching aws-partitions 1.154.0
Installing aws-partitions 1.154.0
0:  aws-partitions (1.154.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-partitions-1.154.0.gemspec
Using jmespath 1.4.0
0:  jmespath (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/jmespath-1.4.0.gemspec
Using ember-source 2.18.2
0:  ember-source (2.18.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ember-source-2.18.2.gemspec
Using execjs 2.7.0
0:  execjs (2.7.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/execjs-2.7.0.gemspec
Fetching msgpack 1.2.10
Installing msgpack 1.2.10 with native extensions
1:  arel (9.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/arel-9.0.0.gemspec
Using bundler 2.1.1
1:  bundler (2.1.1) from /usr/local/lib/ruby/gems/2.6.0/specifications/bundler-2.1.1.gemspec
Using chunky_png 1.3.11
1:  chunky_png (1.3.11) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/chunky_png-1.3.11.gemspec
Using coderay 1.1.2
1:  coderay (1.1.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/coderay-1.1.2.gemspec
Using colored2 3.1.2
1:  colored2 (3.1.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/colored2-3.1.2.gemspec
Using connection_pool 2.2.2
1:  connection_pool (2.2.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/connection_pool-2.2.2.gemspec
Using cppjieba_rb 0.3.3
1:  cppjieba_rb (0.3.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/cppjieba_rb-0.3.3.gemspec
Using diffy 3.3.0
1:  diffy (3.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/diffy-3.3.0.gemspec
Fetching discourse-ember-source 3.8.0.1
Building native extensions. This could take a while...
2:  rack (2.0.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-2.0.7.gemspec
Using exifr 1.3.6
2:  exifr (1.3.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/exifr-1.3.6.gemspec
Installing discourse-ember-source 3.8.0.1
1:  discourse-ember-source (3.8.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/discourse-ember-source-3.8.0.1.gemspec
Using image_size 1.5.0
1:  image_size (1.5.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/image_size-1.5.0.gemspec
Fetching fspath 3.1.0
Fetching in_threads 1.5.1
0:  msgpack (1.2.10) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/msgpack-1.2.10.gemspec
Fetching progress 3.5.0
Installing in_threads 1.5.1
Installing fspath 3.1.0
Installing progress 3.5.0
2:  fspath (3.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fspath-3.1.0.gemspec
Using email_reply_trimmer 0.1.12
2:  email_reply_trimmer (0.1.12) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/email_reply_trimmer-0.1.12.gemspec
Using method_source 0.9.2
2:  method_source (0.9.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/method_source-0.9.2.gemspec
Fetching thor 0.20.3
1:  in_threads (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/in_threads-1.5.1.gemspec
Fetching excon 0.64.0
Installing thor 0.20.3
Installing excon 0.64.0
0:  progress (3.5.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/progress-3.5.0.gemspec
Using multipart-post 2.1.1
0:  multipart-post (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/multipart-post-2.1.1.gemspec
Using fast_blank 1.0.0
0:  fast_blank (1.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fast_blank-1.0.0.gemspec
Fetching rake-compiler 1.0.7
Installing rake-compiler 1.0.7
2:  thor (0.20.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/thor-0.20.3.gemspec
Using fast_xs 0.8.0
2:  fast_xs (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fast_xs-0.8.0.gemspec
Fetching fastimage 2.1.5
Installing fastimage 2.1.5
2:  fastimage (2.1.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fastimage-2.1.5.gemspec
Fetching ffi 1.10.0
0:  rake-compiler (1.0.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rake-compiler-1.0.7.gemspec
Using flamegraph 0.9.5
0:  flamegraph (0.9.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/flamegraph-0.9.5.gemspec
Using gc_tracer 1.5.1
0:  gc_tracer (1.5.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/gc_tracer-1.5.1.gemspec
Using guess_html_encoding 0.0.11
0:  guess_html_encoding (0.0.11) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/guess_html_encoding-0.0.11.gemspec
Using hashie 3.6.0
0:  hashie (3.6.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/hashie-3.6.0.gemspec
Using highline 1.7.10
0:  highline (1.7.10) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/highline-1.7.10.gemspec
Fetching hiredis 0.6.3
Installing hiredis 0.6.3 with native extensions
Installing ffi 1.10.0 with native extensions
Building native extensions. This could take a while...
1:  excon (0.64.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/excon-0.64.0.gemspec
Using hkdf 0.3.0
1:  hkdf (0.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/hkdf-0.3.0.gemspec
Using htmlentities 4.3.4
1:  htmlentities (4.3.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/htmlentities-4.3.4.gemspec
Building native extensions. This could take a while...
Fetching http_accept_language 2.0.5
0:  hiredis (0.6.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/hiredis-0.6.3.gemspec
Using jwt 2.2.1
0:  jwt (2.2.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/jwt-2.2.1.gemspec
Using kgio 2.11.2
0:  kgio (2.11.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/kgio-2.11.2.gemspec
Using libv8 7.3.492.27.1 (x86_64-linux)
0:  libv8 (7.3.492.27.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/libv8-7.3.492.27.1-x86_64-linux.gemspec
Using logstash-event 1.2.02
0:  logstash-event (1.2.02) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/logstash-event-1.2.02.gemspec
Installing http_accept_language 2.0.5
1:  http_accept_language (2.0.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/http_accept_language-2.0.5.gemspec
Using lru_redux 1.1.0
1:  lru_redux (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/lru_redux-1.1.0.gemspec
Using maxminddb 0.1.22
1:  maxminddb (0.1.22) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/maxminddb-0.1.22.gemspec
Fetching logster 2.3.2
2:  ffi (1.10.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ffi-1.10.0.gemspec
Fetching memory_profiler 0.9.13
Fetching redis 4.0.1
Installing memory_profiler 0.9.13
1:  memory_profiler (0.9.13) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/memory_profiler-0.9.13.gemspec
Using mini_sql 0.2.2
1:  mini_sql (0.2.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_sql-0.2.2.gemspec
Fetching moneta 1.1.1
Installing redis 4.0.1
Installing logster 2.3.2
Installing moneta 1.1.1
2:  redis (4.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/redis-4.0.1.gemspec
Fetching multi_json 1.13.1
Installing multi_json 1.13.1
2:  multi_json (1.13.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/multi_json-1.13.1.gemspec
Using multi_xml 0.6.0
2:  multi_xml (0.6.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/multi_xml-0.6.0.gemspec
Fetching mustache 1.1.0
0:  logster (2.3.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/logster-2.3.2.gemspec
Using oauth 0.5.4
0:  oauth (0.5.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/oauth-0.5.4.gemspec
Fetching oj 3.7.12
Installing mustache 1.1.0
Installing oj 3.7.12 with native extensions
2:  mustache (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mustache-1.1.0.gemspec
Fetching ruby-openid 2.7.0
Installing ruby-openid 2.7.0
1:  moneta (1.1.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/moneta-1.1.1.gemspec
Using optimist 3.0.0
Building native extensions. This could take a while...
1:  optimist (3.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/optimist-3.0.0.gemspec
Using pg 1.1.4
1:  pg (1.1.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/pg-1.1.4.gemspec
2:  ruby-openid (2.7.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ruby-openid-2.7.0.gemspec
Using r2 0.2.7
2:  r2 (0.2.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/r2-0.2.7.gemspec
Using raindrops 0.19.0
2:  raindrops (0.19.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/raindrops-0.19.0.gemspec
Using rchardet 1.8.0
2:  rchardet (1.8.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rchardet-1.8.0.gemspec
Using rinku 2.0.6
2:  rinku (2.0.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rinku-2.0.6.gemspec
Fetching puma 3.12.1
Fetching rotp 3.3.1
0:  oj (3.7.12) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/oj-3.7.12.gemspec
Using rtlit 0.0.5
0:  rtlit (0.0.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rtlit-0.0.5.gemspec
Fetching tilt 2.0.9
Installing tilt 2.0.9
Installing puma 3.12.1 with native extensions
Installing rotp 3.3.1
0:  tilt (2.0.9) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/tilt-2.0.9.gemspec
Using sshkey 2.0.0
0:  sshkey (2.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sshkey-2.0.0.gemspec
Fetching stackprof 0.2.12
Building native extensions. This could take a while...
Installing stackprof 0.2.12 with native extensions
2:  rotp (3.3.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rotp-3.3.1.gemspec
Using unf_ext 0.0.7.6
2:  unf_ext (0.0.7.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/unf_ext-0.0.7.6.gemspec
Building native extensions. This could take a while...
Fetching i18n 1.6.0
1:  puma (3.12.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/puma-3.12.1.gemspec
Using tzinfo 1.2.5
1:  tzinfo (1.2.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/tzinfo-1.2.5.gemspec
Installing i18n 1.6.0

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0

2:  i18n (1.6.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/i18n-1.6.0.gemspec
Using mail 2.7.1
2:  mail (2.7.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mail-2.7.1.gemspec
Using aws-sigv4 1.1.0
2:  aws-sigv4 (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sigv4-1.1.0.gemspec
Using barber 0.12.2
2:  barber (0.12.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/barber-0.12.2.gemspec
Using ember-data-source 3.0.2
2:  ember-data-source (3.0.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ember-data-source-3.0.2.gemspec
Fetching uglifier 4.1.20
Fetching nokogiri 1.10.3
0:  stackprof (0.2.12) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/stackprof-0.2.12.gemspec
Fetching rqrcode 0.10.1
Installing rqrcode 0.10.1
Installing uglifier 4.1.20
2:  uglifier (4.1.20) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/uglifier-4.1.20.gemspec
Using rack-test 1.1.0
2:  rack-test (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-test-1.1.0.gemspec
Using sprockets 3.7.2
2:  sprockets (3.7.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sprockets-3.7.2.gemspec
Using request_store 1.4.1
2:  request_store (1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/request_store-1.4.1.gemspec
Fetching message_bus 2.2.0
0:  rqrcode (0.10.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rqrcode-0.10.1.gemspec
Fetching rack-protection 2.0.5
Installing rack-protection 2.0.5
0:  rack-protection (2.0.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-protection-2.0.5.gemspec
Using rack-mini-profiler 1.1.4
0:  rack-mini-profiler (1.1.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-mini-profiler-1.1.4.gemspec
Fetching bootsnap 1.4.4
Installing bootsnap 1.4.4 with native extensions
Installing message_bus 2.2.0
Building native extensions. This could take a while...
Installing nokogiri 1.10.3 with native extensions
2:  message_bus (2.2.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/message_bus-2.2.0.gemspec
Using pry 0.12.2
2:  pry (0.12.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/pry-0.12.2.gemspec
Using discourse_image_optim 0.26.2
2:  discourse_image_optim (0.26.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/discourse_image_optim-0.26.2.gemspec
Building native extensions. This could take a while...
Fetching faraday 0.15.4
0:  bootsnap (1.4.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/bootsnap-1.4.4.gemspec
Using fast_xor 1.1.3
0:  fast_xor (1.1.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/fast_xor-1.1.3.gemspec
Using omniauth 1.9.0
0:  omniauth (1.9.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-1.9.0.gemspec
Installing faraday 0.15.4
2:  faraday (0.15.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/faraday-0.15.4.gemspec
Using logstash-logger 0.26.1
2:  logstash-logger (0.26.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/logstash-logger-0.26.1.gemspec
Fetching mini_racer 0.2.6
Fetching webpush 0.3.8
1:  nokogiri (1.10.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/nokogiri-1.10.3.gemspec
Using mini_suffix 0.3.0
1:  mini_suffix (0.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_suffix-0.3.0.gemspec
Using sassc 2.0.1
1:  sassc (2.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sassc-2.0.1.gemspec
Fetching redis-namespace 1.6.0
Installing mini_racer 0.2.6 with native extensions
Installing webpush 0.3.8
Installing redis-namespace 1.6.0
Building native extensions. This could take a while...
0:  webpush (0.3.8) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/webpush-0.3.8.gemspec
Using rbtrace 0.4.11
0:  rbtrace (0.4.11) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rbtrace-0.4.11.gemspec
Using rack-openid 1.3.1
0:  rack-openid (1.3.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rack-openid-1.3.1.gemspec
Using openid-redis-store 0.0.2
0:  openid-redis-store (0.0.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/openid-redis-store-0.0.2.gemspec
Using unicorn 5.5.1
0:  unicorn (5.5.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/unicorn-5.5.1.gemspec
Using unf 0.1.4
0:  unf (0.1.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/unf-0.1.4.gemspec
1:  redis-namespace (1.6.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/redis-namespace-1.6.0.gemspec
Fetching activesupport 5.2.3
Fetching aws-sdk-core 3.48.6
2:  mini_racer (0.2.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_racer-0.2.6.gemspec
Using ember-handlebars-template 0.8.0
2:  ember-handlebars-template (0.8.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ember-handlebars-template-0.8.0.gemspec
Fetching sidekiq 5.2.7
Installing aws-sdk-core 3.48.6
Installing sidekiq 5.2.7
Installing activesupport 5.2.3
2:  sidekiq (5.2.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sidekiq-5.2.7.gemspec
Using pry-rails 0.3.9
2:  pry-rails (0.3.9) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/pry-rails-0.3.9.gemspec
Using omniauth-oauth 1.1.0
2:  omniauth-oauth (1.1.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-oauth-1.1.0.gemspec
Fetching oauth2 1.4.1
Installing oauth2 1.4.1
1:  aws-sdk-core (3.48.6) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sdk-core-3.48.6.gemspec
Fetching loofah 2.2.3
2:  oauth2 (1.4.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/oauth2-1.4.1.gemspec
Fetching nokogumbo 2.0.1
Installing loofah 2.2.3
Installing nokogumbo 2.0.1 with native extensions
Building native extensions. This could take a while...
1:  loofah (2.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/loofah-2.2.3.gemspec
Using ruby-readability 0.7.0
1:  ruby-readability (0.7.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ruby-readability-0.7.0.gemspec
Using omniauth-openid 1.0.1
1:  omniauth-openid (1.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-openid-1.0.1.gemspec
0:  activesupport (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/activesupport-5.2.3.gemspec
Using omniauth-twitter 1.4.0
0:  omniauth-twitter (1.4.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-twitter-1.4.0.gemspec
Fetching mini_scheduler 0.11.0
Fetching aws-sdk-kms 1.17.0
2:  nokogumbo (2.0.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/nokogumbo-2.0.1.gemspec
Fetching aws-sdk-sns 1.13.0
Installing mini_scheduler 0.11.0
1:  mini_scheduler (0.11.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/mini_scheduler-0.11.0.gemspec
Using omniauth-oauth2 1.6.0
1:  omniauth-oauth2 (1.6.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-oauth2-1.6.0.gemspec
Fetching rails-html-sanitizer 1.0.4
Installing rails-html-sanitizer 1.0.4
1:  rails-html-sanitizer (1.0.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rails-html-sanitizer-1.0.4.gemspec
Using rails-dom-testing 2.0.3
1:  rails-dom-testing (2.0.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rails-dom-testing-2.0.3.gemspec
Using globalid 0.4.2
1:  globalid (0.4.2) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/globalid-0.4.2.gemspec
Fetching activemodel 5.2.3
Installing activemodel 5.2.3
Installing aws-sdk-sns 1.13.0
Installing aws-sdk-kms 1.17.0
0:  aws-sdk-kms (1.17.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sdk-kms-1.17.0.gemspec
Fetching sanitize 5.0.0
Installing sanitize 5.0.0
2:  aws-sdk-sns (1.13.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sdk-sns-1.13.0.gemspec
Using omniauth-facebook 5.0.0
2:  omniauth-facebook (5.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-facebook-5.0.0.gemspec
Using omniauth-github 1.3.0
2:  omniauth-github (1.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-github-1.3.0.gemspec
Fetching omniauth-google-oauth2 0.7.0
Installing omniauth-google-oauth2 0.7.0
1:  activemodel (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/activemodel-5.2.3.gemspec
Using omniauth-instagram 1.3.0
1:  omniauth-instagram (1.3.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-instagram-1.3.0.gemspec
Fetching actionview 5.2.3
2:  omniauth-google-oauth2 (0.7.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/omniauth-google-oauth2-0.7.0.gemspec
Fetching activejob 5.2.3
Installing actionview 5.2.3
Installing activejob 5.2.3
0:  sanitize (5.0.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sanitize-5.0.0.gemspec
Fetching aws-sdk-s3 1.36.1
Installing aws-sdk-s3 1.36.1
2:  activejob (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/activejob-5.2.3.gemspec
Using active_model_serializers 0.8.4
2:  active_model_serializers (0.8.4) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/active_model_serializers-0.8.4.gemspec
Fetching activerecord 5.2.3
Installing activerecord 5.2.3
1:  actionview (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/actionview-5.2.3.gemspec
Fetching onebox 1.8.92
Installing onebox 1.8.92
0:  aws-sdk-s3 (1.36.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/aws-sdk-s3-1.36.1.gemspec
Fetching actionpack 5.2.3
Installing actionpack 5.2.3
1:  onebox (1.8.92) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/onebox-1.8.92.gemspec
2:  activerecord (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/activerecord-5.2.3.gemspec
Using seed-fu 2.3.9
1:  seed-fu (2.3.9) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/seed-fu-2.3.9.gemspec
0:  actionpack (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/actionpack-5.2.3.gemspec
Fetching railties 5.2.3
Using sprockets-rails 3.2.1
2:  sprockets-rails (3.2.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sprockets-rails-3.2.1.gemspec
Fetching actionmailer 5.2.3
Installing actionmailer 5.2.3
Installing railties 5.2.3
1:  actionmailer (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/actionmailer-5.2.3.gemspec
0:  railties (5.2.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/railties-5.2.3.gemspec
Using rails_multisite 2.0.7
2:  rails_multisite (2.0.7) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/rails_multisite-2.0.7.gemspec
Fetching sassc-rails 2.1.1
Fetching lograge 0.11.0
Fetching jquery-rails 4.3.3
Installing sassc-rails 2.1.1
Installing lograge 0.11.0
1:  lograge (0.11.0) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/lograge-0.11.0.gemspec
Installing jquery-rails 4.3.3
2:  sassc-rails (2.1.1) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/sassc-rails-2.1.1.gemspec
0:  jquery-rails (4.3.3) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/jquery-rails-4.3.3.gemspec
Using ember-rails 0.18.5
1:  ember-rails (0.18.5) from /var/www/discourse/vendor/bundle/ruby/2.6.0/specifications/ember-rails-0.18.5.gemspec
Bundle complete! 116 Gemfile dependencies, 152 gems now installed.
Gems in the groups test and development were not installed.
Bundled gems are installed into `./vendor/bundle`
Post-install message from i18n:

HEADS UP! i18n 1.1 changed fallbacks to exclude default locale.
But that may break your application.

Please check your Rails app for 'config.i18n.fallbacks = true'.
If you're using I18n (>= 1.1.0) and Rails (< 5.2.2), this should be
'config.i18n.fallbacks = [I18n.default_locale]'.
If not, fallbacks will be broken in your app by I18n 1.1.x.

For more info see:
https://github.com/svenfuchs/i18n/releases/tag/v1.1.0


I, [2020-02-04T11:59:19.741293 #1]  INFO -- : > cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate'
rake aborted!
Gem::MissingSpecError: Could not find 'addressable' (>= 2.3.5) among 254 total gem(s)
Checked in 'GEM_PATH=/var/www/discourse/vendor/bundle/ruby/2.6.0', execute `gem env` for more information
/var/www/discourse/lib/plugin_gem.rb:20:in `load'
/var/www/discourse/lib/plugin/instance.rb:570:in `gem'
/var/www/discourse/plugins/discourse-github/plugin.rb:9:in `activate!'
/var/www/discourse/lib/plugin/instance.rb:496:in `instance_eval'
/var/www/discourse/lib/plugin/instance.rb:496:in `activate!'
lib/discourse.rb:172:in `block in activate_plugins!'
lib/discourse.rb:169:in `each'
lib/discourse.rb:169:in `activate_plugins!'
/var/www/discourse/config/application.rb:261:in `<class:Application>'
/var/www/discourse/config/application.rb:58:in `<module:Discourse>'
/var/www/discourse/config/application.rb:57:in `<top (required)>'
/var/www/discourse/Rakefile:7:in `require'
/var/www/discourse/Rakefile:7:in `<top (required)>'
/var/www/discourse/vendor/bundle/ruby/2.6.0/gems/rake-12.3.2/exe/rake:27:in `<top (required)>'
/usr/local/bin/bundle:23:in `load'
/usr/local/bin/bundle:23:in `<main>'
(See full trace by running task with --trace)
I, [2020-02-04T11:59:23.993010 #1]  INFO -- : gem install sawyer -v 0.8.2 -i /var/www/discourse/plugins/discourse-github/gems/2.6.5 --no-document --ignore-dependencies --no-user-install
Successfully installed sawyer-0.8.2
1 gem installed

I, [2020-02-04T11:59:23.993577 #1]  INFO -- : Terminating async processes
I, [2020-02-04T11:59:23.993648 #1]  INFO -- : Sending INT to HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/10/bin/postmaster -D /etc/postgresql/10/main pid: 49
2020-02-04 11:59:23.993 UTC [49] LOG:  received fast shutdown request
I, [2020-02-04T11:59:23.993913 #1]  INFO -- : Sending TERM to exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 166
166:signal-handler (1580817563) Received SIGTERM scheduling shutdown...
2020-02-04 11:59:23.995 UTC [49] LOG:  aborting any active transactions
2020-02-04 11:59:23.999 UTC [49] LOG:  worker process: logical replication launcher (PID 58) exited with exit code 1
2020-02-04 11:59:23.999 UTC [53] LOG:  shutting down
2020-02-04 11:59:24.013 UTC [49] LOG:  database system is shut down
166:M 04 Feb 2020 11:59:24.017 # User requested shutdown...
166:M 04 Feb 2020 11:59:24.017 * Saving the final RDB snapshot before exiting.
166:M 04 Feb 2020 11:59:24.158 * DB saved on disk
166:M 04 Feb 2020 11:59:24.158 # Redis is now ready to exit, bye bye...


FAILED
--------------------
Pups::ExecError: cd /var/www/discourse && su discourse -c 'bundle exec rake db:migrate' failed with return #<Process::Status: pid 18297 exit 1>
Location of failure: /pups/lib/pups/exec_command.rb:112:in `spawn'
exec failed with the params {"cd"=>"$home", "hook"=>"db_migrate", "cmd"=>["su discourse -c 'bundle exec rake db:migrate'"]}
3504d432db12bbe88cf973f6b9b7665e95ecd4f7f082b7efa41b0d92751bb3b4
** FAILED TO BOOTSTRAP ** please scroll up and look for earlier error messages, there may be more than one.
./discourse-doctor may help diagnose the problem.
root@discourse:/docker-app/discourse#

And my app.yml with a bit of obfuscation:

app.yml
root@discourse:/docker-app/discourse# cat /docker-app/discourse/containers/app.yml
## this is the all-in-one, standalone Discourse Docker container template
##
## After making changes to this file, you MUST rebuild
## /var/discourse/launcher rebuild app
##
## BE *VERY* CAREFUL WHEN EDITING!
## YAML FILES ARE SUPER SUPER SENSITIVE TO MISTAKES IN WHITESPACE OR ALIGNMENT!
## visit http://www.yamllint.com/ to validate this file as needed

templates:
  - "templates/postgres.template.yml"
  - "templates/redis.template.yml"
  - "templates/web.template.yml"
  - "templates/web.ratelimited.template.yml"
## Uncomment these two lines if you wish to add Lets Encrypt (https)
  #- "templates/web.ssl.template.yml"
  #- "templates/web.letsencrypt.ssl.template.yml"

## which TCP/IP ports should this container expose?
## If you want Discourse to share a port with another webserver like Apache or nginx,
## see https://meta.discourse.org/t/17247 for details
expose:
  - "8080:80"   # http
  - "4434:443" # https

params:
  db_default_text_search_config: "pg_catalog.english"

  ## Set db_shared_buffers to a max of 25% of the total memory.
  ## will be set automatically by bootstrap based on detected RAM, or you can override
  db_shared_buffers: "256MB"

  ## can improve sorting performance, but adds memory usage per-connection
  #db_work_mem: "40MB"

  ## Which Git revision should this container use? (default: tests-passed)
  version: stable

env:
  LANG: en_US.UTF-8
  # DISCOURSE_DEFAULT_LOCALE: en

  ## How many concurrent web requests are supported? Depends on memory and CPU cores.
  ## will be set automatically by bootstrap based on detected CPUs, or you can override
  UNICORN_WORKERS: 4

  ## TODO: The domain name this Discourse instance will respond to
  ## Required. Discourse will not work with a bare IP number.
  DISCOURSE_HOSTNAME: community.suitecrm.com

  ## Uncomment if you want the container to be started with the same
  ## hostname (-h option) as specified above (default "$hostname-$config")
  #DOCKER_USE_HOSTNAME: true

  ## TODO: List of comma delimited emails that will be made admin and developer
  ## on initial signup example 'user1@example.com,user2@example.com'
  DISCOURSE_DEVELOPER_EMAILS: 'xxxxx@xxxxxxxxxxxx.com'

  ## TODO: The SMTP mail server used to validate new accounts and send notifications
  # SMTP ADDRESS, username, and password are required
  # WARNING the char '#' in SMTP password can cause problems!
  (...)
  
  ## If you added the Lets Encrypt template, uncomment below to get a free SSL certificate
  #LETSENCRYPT_ACCOUNT_EMAIL: me@example.com

  ## The CDN address for this Discourse instance (configured to pull)
  ## see https://meta.discourse.org/t/14857 for details
  #DISCOURSE_CDN_URL: //discourse-cdn.example.com

  # added by Pgr Jan/20 to solve rebuild bug, https://meta.discourse.org/t/upgrade-rebuilds-fail-due-to-maxmind-db-eol/137387
  DISCOURSE_REFRESH_MAXMIND_DB_DURING_PRECOMPILE_DAYS: 0

## The Docker container is stateless; all data is stored in /shared
volumes:
  - volume:
      host: /docker-app/standalone
      guest: /shared
  - volume:
      host: /docker-app/standalone/log/var-log
      guest: /var/log

## Plugins go here
## see https://meta.discourse.org/t/19157 for details
hooks:
  after_code:
    - exec:
        cd: $home/plugins
        cmd:
          - git clone https://github.com/discourse/docker_manager.git
          - git clone https://github.com/discoursehosting/discourse-migratepassword.git
          - git clone https://github.com/discourse/discourse-solved.git
          - git clone https://github.com/discourse/discourse-github.git
          - apt update; apt install tmux nano wget inetutils-ping libsqlite3-dev default-libmysqlclient-dev -y
          - gem install mysql2
          - gem install bcrypt -v 3.1.3 -i /var/www/discourse/plugins/discourse-migratepassword/gems/2.5.1 --no-document --ignore-dependencies
          - gem install unix-crypt -v 1.3.0 -i /var/www/discourse/plugins/discourse-migratepassword/gems/2.5.1 --no-document --ignore-dependencies
          - chown -R discourse /var/www/discourse/plugins/discourse-migratepassword/

## Any custom commands to run after building
run:
  - exec: echo "Beginning of custom commands"
  ## If you want to set the 'From' email address for your first registration, uncomment and change:
  ## After getting the first signup email, re-comment the line. It only needs to run once.
  #- exec: rails r "SiteSetting.notification_email='info@unconfigured.discourse.org'"
  - exec: echo "End of custom commands"

networks:
  - app

Can anybody please give some hints on how to go about troubleshooting this? I would prefer not to have too many rebuild attempts, since it brings my community down for a few minutes each time. Thanks

Disable everything other than docker manager and rebuild, you can just comment the lines out.

As you’re using stable that could mean a plugin has fallen out of step again.

1 Like

Removing only the discourse-github plugin is enough to get the rebuild to work

I was really looking forward to trying this pugin… :frowning:

I run into the same issue. It could be related to


but I am not an expert.

1 Like

Sadly you are going to have to grab an earlier version of discourse-github checking out a specific SHA prior to the change.

We are doing a new stable release in the next week or two.

2 Likes

Is the new release 2.4.1 the one that fixes this?

Since this was the first time we were installing this plugin in our Community, we decided to just wait for a working version before we attempted it again. I checked the commit titles in this new release but I don’t see anything about this issue, hence my question here. Thanks!

‘addressable’ is included in current stable, yes.

4 Likes

I just upgraded Discourse to 2.4.1, adding the latest discourse-github plugin at the same time, and I am glad to confirm it works just fine. Thanks.

2 Likes